fr.enssat.BoulderDash.exceptions

## Class LevelConstraintNotRespectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - fr.enssat.BoulderDash.exceptions.LevelConstraintNotRespectedException

All Implemented Interfaces:
  java.io.Serializable

    public class LevelConstraintNotRespectedException
    extends java.lang.Exception

LevelConstraintNotRespectedException Raises an 'LevelConstraintNotRespectedException' exception. Given the exception message.

Since:
  2015-06-24
Author:
  Valerian Saliou <valerian@valeriansaliou.name>
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`LevelConstraintNotRespectedException(java.lang.String message)` Class constructor

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LevelConstraintNotRespectedException

    public LevelConstraintNotRespectedException(java.lang.String message)

Class constructor

Parameters:
  `message` - Exception backtrace message